# static-misc

## Test locally

    docker build -t static-web:1 .
    git clone git@git.develooper.com:perl-static-misc.git git

    docker run -p 8000:80 --name static-misc \
       -v `pwd`/git:/git/static -v `pwd`/config:/web/config \
       -ti --rm static-web:1

Test with

    curl -H 'Host: i.perl.org' localhost:8000

To get a shell in the container run

    docker exec -ti static-misc bash

And then run `curl -H 'Host: i.perl.org' localhost` there.

## Production image

The "production image" is at harbor.ntppool.org/library/static-web:latest
(or rather tagged with the most recent version, for example 2.2.0)

